#!/bin/bash

BRANCH="releases/comm-1.9.1"
RELEASE_TAG="SEAMONKEY_2_0_8_RELEASE"
VERSION="2.0.8"

echo "cloning $BRANCH..."
hg clone http://hg.mozilla.org/$BRANCH seamonkey
pushd seamonkey
hg update -r $RELEASE_TAG 
echo "running client.py..."
[ "$RELEASE_TAG" == "default" ] || \
  _extra="--comm-rev=$RELEASE_TAG --mozilla-rev=$RELEASE_TAG --inspector-rev=$RELEASE_TAG --venkman-rev=$RELEASE_TAG --chatzilla-rev=$RELEASE_TAG" 
python client.py checkout $_extra
popd
echo "creating archive..."
tar cjf seamonkey-$VERSION-source.tar.bz2 --exclude=.hgtags --exclude=.hgignore --exclude=.hg --exclude=CVS seamonkey

# l10n
echo "fetching locales..."
if [ -e shipped-locales ]; then
  SHIPPED_LOCALES=shipped-locales
else
  SHIPPED_LOCALES=seamonkey/suite/locales/shipped-locales
fi
test ! -d l10n && mkdir l10n
for locale in $(awk '{ print $1; }' $SHIPPED_LOCALES); do
  case $locale in
    ja-JP-mac|en-US)
      ;;
    *)
      hg clone http://hg.mozilla.org/releases/l10n-mozilla-1.9.1/$locale l10n/$locale
      hg -R l10n/$locale up -C $RELEASE_TAG
      ;;
  esac
done
echo "creating l10n archive..."
tar cjf l10n-$VERSION.tar.bz2 \
  --exclude=.hgtags --exclude=.hgignore --exclude=.hg --exclude=calendar \
  --exclude=mail \
  l10n
