#
# spec file for package seamonkey (Version 2.0.8)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#               2006-2010 Wolfgang Rosenauer
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           seamonkey
BuildRequires:  autoconf213 fdupes gcc-c++ libgnomeui-devel libidl-devel python startup-notification-devel unzip update-desktop-files zip
%if %suse_version > 1030
BuildRequires:  hunspell-devel
%endif
%if %suse_version > 1100
BuildRequires:  nss-shared-helper-devel
%endif
License:        GPLv2+ ; LGPLv2.1+ ; MPLv1.1+
Provides:       web_browser
Version:        2.0.8
Release:        0.3.1
Summary:        The successor of the Mozilla Application Suite
Url:            http://www.mozilla.org/projects/seamonkey
Group:          Productivity/Networking/Web/Browsers
Source:         seamonkey-%{version}-source.tar.bz2
Source1:        seamonkey-desktop.tar.bz2
Source2:        add-plugins.sh.in
Source3:        mozilla.sh.in
Source4:        suse-default-prefs.js
Source5:        l10n-%{version}.tar.bz2
Source6:        search-addons.tar.bz2
Source7:        seamonkey-rpmlintrc
Source8:        find-external-requires.sh
Source9:        create-tar.sh
Patch1:         seamonkey-ua-locale.patch
Patch2:         mozilla-helper-app.patch
Patch3:         mozilla-nongnome-proxies.patch
Patch4:         mozilla-path_len.patch
Patch5:         mozilla-startup-notification.patch
Patch6:         mozilla-shared-nss-db.patch
Patch7:         seamonkey-shared-nss-db.patch
Patch8:         seamonkey-no-update.patch
Patch9:         mozilla-gtkfilepicker-buttonorder.patch
Patch10:        mozilla-system-hunspell.patch.bz2
Patch11:        mozilla-prefer_plugin_pref.patch
Patch12:        mozilla-cairo-lcd.patch
Patch13:        mozilla-ua-locale.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         /bin/sh coreutils
Provides:       seamonkey-mail = %{version}
Obsoletes:      seamonkey-mail <= 2.0
Provides:       seamonkey-spellchecker = %{version}
Obsoletes:      seamonkey-spellchecker <= 2.0
%define releasedate 2010091400
%define progname %{name}
%define prefix /usr
%define progdir %_libdir/%{progname}
%define libgssapi libgssapi_krb5.so.2
### build options
%define has_system_cairo 0
### build options end
%define _use_internal_dependency_generator 0
%define __find_requires sh %{SOURCE8}
%global provfind sh -c "grep -v '.so' | %__find_provides"
%global __find_provides %provfind
# the following conditions are always met in Factory by definition
# so using %opensuse_bs is secure for now
BuildRequires:  mozilla-nspr-devel
PreReq:         mozilla-nspr >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr)
BuildRequires:  mozilla-nss-devel >= 3.12.6
PreReq:         mozilla-nss >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss)

%description
Originally based on the Netscape Communicator source, the SeaMonkey
project grew to be the most advanced web browser currently available.
It supports new techniques like CSS2, MathML, SVG, XML, transparent
PNGs, and its look is fully theme-able.


%package irc
License:        GPLv2+ ; LGPLv2.1+ ; MPLv1.1+
Summary:        IRC for SeaMonkey
Group:          Productivity/Networking/IRC
PreReq:         %{name} = %{version}

%description irc
An IRC Client (Chatzilla) for SeaMonkey.


%package venkman
License:        GPLv2+ ; LGPLv2.1+ ; MPLv1.1+
Summary:        The SeaMonkey JavaScript Debugger
Group:          Development/Tools/Debuggers
PreReq:         %{name} = %{version}

%description venkman
A javascript debugger for the SeaMonkey web browser.


%package dom-inspector
License:        GPLv2+ ; LGPLv2.1+ ; MPLv1.1+
Summary:        The SeaMonkey DOM Inspector
Group:          Development/Tools/Navigators
PreReq:         %{name} = %{version}

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
SeaMonkey. This is of great use to people who are doing SeaMonkey
chrome development or web page development.


%package translations-common
License:        GPLv2+ ; LGPLv2.1+ ; MPLv1.1+
Summary:        Common translations for SeaMonkey
Provides:       locale(%{name}:ca;cs;de;es_AR;es_ES;;fr;hu;it;ja;nb_NO;nl;pl;pt_PT;ru;sv_SE)
Group:          System/Localization
PreReq:         %{name} = %{version}

%description translations-common
This package contains several optional languages for the user interface
of SeaMonkey.


%package translations-other
License:        GPLv2+ ; LGPLv2.1+ ; MPLv1.1+
Summary:        Extra translations for SeaMonkey
Provides:       locale(%{name}:be;gl;ka;lt;sk;tr)
Group:          System/Localization
PreReq:         %{name} = %{version}

%description translations-other
This package contains several optional languages for the user interface
of SeaMonkey.


%prep
%setup -n seamonkey -b 1 -b 5 -q
# mozilla patches
pushd mozilla
%patch2 -p1
%patch3
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch9 -p1
pushd extensions
%patch10
popd
%patch11 -p1
%patch12 -p1
%patch13 -p1
popd
# comm patches
%patch1 -p1
%patch7 -p1
%patch8 -p1

%build
export SUSE_ASNEEDED=0
export MOZ_BUILD_DATE=%{releasedate}
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export CFLAGS="$RPM_OPT_FLAGS -Os -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
export MOZCONFIG=$RPM_BUILD_DIR/mozconfig
#
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MILESTONE_RELEASE=1
mk_add_options MOZ_MAKE_FLAGS=%{?jobs:-j%jobs}
ac_add_options --enable-application=suite
ac_add_options --libdir=%{progdir}
ac_add_options --prefix=%{prefix}
ac_add_options --with-l10n-base=../l10n
ac_add_options --disable-tests
ac_add_options --enable-optimize
ac_add_options --disable-debug --disable-dtd-debug
ac_add_options --enable-static
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-jpeg
ac_add_options --with-system-zlib
# ac_add_options--with-system-png # no apng support
ac_add_options --enable-ldap-experimental
ac_add_options --disable-installer
ac_add_options --disable-mochitest
ac_add_options --disable-crashreporter
ac_add_options --enable-startup-notification
#ac_add_options --enable-system-mozldap
EOF
%if %suse_version > 1030
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-hunspell
EOF
%endif
%if %has_system_cairo
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-cairo 
EOF
%endif
make -f client.mk build
#

%install
make -C suite/installer STRIP=/bin/true
# copy tree into RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{progdir}
cp -rf $RPM_BUILD_DIR/seamonkey/mozilla/dist/seamonkey/* $RPM_BUILD_ROOT%{progdir}
# remove some executable permissions
find $RPM_BUILD_ROOT%{progdir} -name "*.js" | xargs chmod a-x
rm -f %{_tmppath}/translations.*
for locale in $(awk '{ print $1; }' suite/locales/shipped-locales); do
  case $locale in
     ja-JP-mac|en-US)
          # locales not to be included in translations package
	  ;;
     *)
          make -C suite/locales libs-$locale || continue
	  cp mozilla/dist/xpi-stage/locale-$locale/chrome/$locale.jar \
	     $RPM_BUILD_ROOT%{progdir}/chrome
	  cp mozilla/dist/xpi-stage/locale-$locale/chrome/$locale.manifest \
	     $RPM_BUILD_ROOT%{progdir}/chrome
	  #cp mozilla/dist/xpi-stage/chatzilla-$locale/chrome/chatzilla.jar \
	  #   $RPM_BUILD_ROOT%{progdir}/chrome/chatzilla-$locale.jar
	  #cp mozilla/dist/xpi-stage/chatzilla-$locale/chrome/chatzilla.manifest \
	  #   $RPM_BUILD_ROOT%{progdir}/chrome/chatzilla-$locale.manifest
	  #cp mozilla/dist/xpi-stage/venkman-$locale/chrome/venkman.jar \
	  #   $RPM_BUILD_ROOT%{progdir}/chrome/venkman-$locale.jar
	  #cp mozilla/dist/xpi-stage/venkman-$locale/chrome/venkman.jar \
	  #   $RPM_BUILD_ROOT%{progdir}/chrome/venkman-$locale.manifest
          # check against the fixed common list and sort into the right filelist
          _matched=0
          for _match in ar ca cs da de en-GB es-AR es-CL es-ES fi fr hu it ja ko nb-NO nl pl pt-BR pt-PT ru sv-SE zh-CN zh-TW; do
            [ "$_match" = "$locale" ] && _matched=1
          done
          [ $_matched -eq 1 ] && _l10ntarget=common || _l10ntarget=other
          echo %{progdir}/chrome/$locale.jar      >> %{_tmppath}/translations.$_l10ntarget
          echo %{progdir}/chrome/$locale.manifest >> %{_tmppath}/translations.$_l10ntarget
	  #echo %{progdir}/chrome/chatzilla-$locale.jar >> %{_tmppath}/translations.$_l10ntarget
	  #echo %{progdir}/chrome/chatzilla-$locale.manifest >> %{_tmppath}/translations.$_l10ntarget
	  #echo %{progdir}/chrome/venkman-$locale.jar >> %{_tmppath}/translations.$_l10ntarget
	  #echo %{progdir}/chrome/venkman-$locale.manifest >> %{_tmppath}/translations.$_l10ntarget
  esac
done
# overwrite the mozilla start-script and link it to /usr/bin
mkdir --parents $RPM_BUILD_ROOT%{_bindir}
sed "s:%%PREFIX:%{prefix}:g
s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:seamonkey:g" \
   %{SOURCE3} > $RPM_BUILD_ROOT%{progdir}/%{progname}.sh 
chmod 755 $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
ln -sf ../..%{progdir}/%{progname}.sh $RPM_BUILD_ROOT%{_bindir}/%{progname}
# apply SUSE defaults
sed -e 's,RPM_VERSION,%{version}-%{release},g
#s,GSSAPI,%{libgssapi},g' \
   %{SOURCE4} > suse-default-prefs
cp suse-default-prefs $RPM_BUILD_ROOT%{progdir}/defaults/pref/all-openSUSE.js
rm suse-default-prefs
# Desktop definition
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 $RPM_BUILD_DIR/*.desktop \
               $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 644 $RPM_BUILD_DIR/*.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
# install add-plugins.sh 
sed "s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g" \
   %{SOURCE2} > $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
#
%suse_update_desktop_file seamonkey          Network WebBrowser GTK
%suse_update_desktop_file seamonkey-mail     Network Email GTK
%suse_update_desktop_file seamonkey-composer Network WebDevelopment GTK
# excludes
rm -f $RPM_BUILD_ROOT%{progdir}/license.txt
rm -f $RPM_BUILD_ROOT%{progdir}/README
rm -f $RPM_BUILD_ROOT%{progdir}/removed-files
rm -f $RPM_BUILD_ROOT%{progdir}/run-mozilla.sh
rm -f $RPM_BUILD_ROOT%{progdir}/seamonkey
rm -f $RPM_BUILD_ROOT%{progdir}/updater
rm -f $RPM_BUILD_ROOT%{progdir}/updater.ini
rm -f $RPM_BUILD_ROOT%{progdir}/update.locale
rm -f $RPM_BUILD_ROOT%{progdir}/icons/updater.png
rm -f $RPM_BUILD_ROOT%{progdir}/dictionaries/*
# Some sites use different partitions for /usr/(lib|lib64) and /usr/share.  Since you
# can't create hardlinks across partitions, we'll do this more than once.
%fdupes $RPM_BUILD_ROOT%{progdir}
%fdupes $RPM_BUILD_ROOT%{_datadir}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_tmppath}/translations.*

%post
%{progdir}/add-plugins.sh > /dev/null 2>&1
exit 0

%preun
rm -f %{progdir}/dictionaries/*
exit 0

%triggerin -- myspell-dictionary
%{progdir}/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- myspell-dictionary
%{progdir}/add-plugins.sh > /dev/null 2>&1
exit 0

%files
%defattr(-,root,root)
%{_bindir}/%{progname}
%dir %{progdir}
%{progdir}/components/
%{progdir}/defaults/
%dir %{progdir}/dictionaries/
%dir %{progdir}/extensions/
%dir %{progdir}/chrome/
%{progdir}/chrome/classic.*
%{progdir}/chrome/comm.*
%{progdir}/chrome/en-US.*
%{progdir}/chrome/gloda.*
%{progdir}/chrome/messenger.*
%{progdir}/chrome/newsblog.*
%{progdir}/chrome/pippki.*
%{progdir}/chrome/reporter.*
%{progdir}/chrome/toolkit.*
%{progdir}/chrome/icons
%{progdir}/extensions/modern@themes.mozilla.org
%{progdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}
%{progdir}/greprefs/
%{progdir}/isp/
%{progdir}/modules/
%{progdir}/plugins/
%{progdir}/res/
%{progdir}/searchplugins/
%{progdir}/add-plugins.sh
%{progdir}/application.ini
%{progdir}/blocklist.xml
%{progdir}/libldap60.so
%{progdir}/libldif60.so
%{progdir}/libprldap60.so
%{progdir}/libmozjs.so
%{progdir}/libsqlite3.so
%{progdir}/libxpcom_core.so
%{progdir}/libxpcom.so
%{progdir}/mozilla-xremote-client
%{progdir}/platform.ini
%{progdir}/%{progname}.sh
%{progdir}/seamonkey-bin
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%files irc
%defattr(-,root,root)
%{progdir}/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}/

%files venkman
%defattr(-,root,root)
%{progdir}/extensions/{f13b157f-b174-47e7-a34d-4815ddfdfeb8}/

%files dom-inspector
%defattr(-,root,root)
%{progdir}/extensions/inspector@mozilla.org/

%files translations-common -f %{_tmppath}/translations.common
%defattr(-,root,root)

%files translations-other -f %{_tmppath}/translations.other
%defattr(-,root,root)

%changelog
* Wed Sep 15 2010 wr@rosenauer.org
- update to 2.0.8
  * fixing startup topcrash (bmo#594699)
  * add "face" to the list of white-listed attributes (bmo#592601)
- added Cairo LCD filter patch to enable subpixel hinting where
  supported (bnc#638186) (mozilla-cairo-lcd.patch)
* Thu Aug 26 2010 wr@rosenauer.org
- security upate to 2.0.7 (bnc#637303)
  * MFSA 2010-49/CVE-2010-3169
    Miscellaneous memory safety hazards
  * MFSA 2010-50/CVE-2010-2765 (bmo#576447)
    Frameset integer overflow vulnerability
  * MFSA 2010-51/CVE-2010-2767 (bmo#584512)
    Dangling pointer vulnerability using DOM plugin array
  * MFSA 2010-53/CVE-2010-3166 (bmo#579655)
    Heap buffer overflow in nsTextFrameUtils::TransformText
  * MFSA 2010-54/CVE-2010-2760 (bmo#585815)
    Dangling pointer vulnerability in nsTreeSelection
  * MFSA 2010-55/CVE-2010-3168 (bmo#576075)
    XUL tree removal crash and remote code execution
  * MFSA 2010-56/CVE-2010-3167 (bmo#576070)
    Dangling pointer vulnerability in nsTreeContentView
  * MFSA 2010-57/CVE-2010-2766 (bmo#580445)
    Crash and remote code execution in normalizeDocument
  * MFSA 2010-60/CVE-2010-2763 (bmo#585284)
    XSS using SJOW scripted function
  * MFSA 2010-61/CVE-2010-2768 (bmo#579744)
    UTF-7 XSS by overriding document charset using <object> type
    attribute
  * MFSA 2010-62/CVE-2010-2769 (bmo#520189)
    Copy-and-paste or drag-and-drop into designMode document allows
    XSS
  * MFSA 2010-63/CVE-2010-2764 (bmo#552090)
    Information leak via XMLHttpRequest statusText
- always use internal cairo (bnc#622375, bnc#626042)
* Fri Jul 16 2010 wr@rosenauer.org
- security update to 2.0.6 (bnc#622506)
  * MFSA 2010-34/CVE-2010-1211/CVE-2010-1212
    Miscellaneous memory safety hazards
  * MFSA 2010-35/CVE-2010-1208 (bmo#572986)
    DOM attribute cloning remote code execution vulnerability
  * MFSA 2010-36/CVE-2010-1209 (bmo#552110)
    Use-after-free error in NodeIterator
  * MFSA 2010-37/CVE-2010-1214 (bmo#572985)
    Plugin parameter EnsureCachedAttrParamArrays remote code
    execution vulnerability
  * MFSA 2010-39/CVE-2010-2752 (bmo#574059)
    nsCSSValue::Array index integer overflow
  * MFSA 2010-40/CVE-2010-2753 (bmo#571106)
    nsTreeSelection dangling pointer remote code execution
    vulnerability
  * MFSA 2010-41/CVE-2010-1205 (bmo#570451)
    Remote code execution using malformed PNG image
  * MFSA 2010-42/CVE-2010-1213 (bmo#568148)
    Cross-origin data disclosure via Web Workers and importScripts
  * MFSA 2010-45/CVE-2010-1206/CVE-2010-2751 (bmo#536466,556957)
    Multiple location bar spoofing vulnerabilities
  * MFSA 2010-46/CVE-2010-0654 (bmo#524223)
    Cross-domain data theft using CSS
  * MFSA 2010-47/CVE-2010-2754 (bmo#568564)
    Cross-origin data leakage from script filename in error messages
* Fri May  7 2010 wr@rosenauer.org
- security update to 2.0.5 (bnc#603356)
  * MFSA 2010-25/CVE-2010-1121 (bmo#555109)
    Re-use of freed object due to scope confusion
  * MFSA 2010-26/CVE-2010-1200/CVE-2010-1201/CVE-2010-1202/
    CVE-2010-1203
    Crashes with evidence of memory corruption (rv:1.9.1.10)
  * MFSA 2010-27/CVE-2010-0183 (bmo#557174)
    Use-after-free error in nsCycleCollector::MarkRoots()
  * MFSA 2010-28/CVE-2010-1198 (bmo#532246)
    Freed object reuse across plugin instances
  * MFSA 2010-29/CVE-2010-1196 (bmo#534666)
    Heap buffer overflow in nsGenericDOMDataNode::SetTextInternal
  * MFSA 2010-30/CVE-2010-1199 (bmo#554255)
    Integer Overflow in XSLT Node Sorting
  * MFSA 2010-31/CVE-2010-1125 (bmo#552255)
    focus() behavior can be used to inject or steal keystrokes
  * MFSA 2010-32/CVE-2010-1197 (bmo#537120)
    Content-Disposition: attachment ignored if
    Content-Type: multipart also present
  * MFSA 2010-33/CVE-2008-5913 (bmo#475585)
    User tracking across sites using Math.random()
* Thu Mar 18 2010 wr@rosenauer.org
- security update to 2.0.4 (bnc#586567)
  * MFSA 2010-16/CVE-2010-0173/CVE-2010-0174
    Crashes with evidence of memory corruption
  * MFSA 2010-17/CVE-2010-0175 (bmo#540100,375928)
    Remote code execution with use-after-free in nsTreeSelection
  * MFSA 2010-18/CVE-2010-0176 (bmo#538308)
    Dangling pointer vulnerability in nsTreeContentView
  * MFSA 2010-19/CVE-2010-0177 (bmo#538310)
    Dangling pointer vulnerability in nsPluginArray
  * MFSA 2010-20/CVE-2010-0178 (bmo#546909)
    Chrome privilege escalation via forced URL drag and drop
  * MFSA 2010-22/CVE-2009-3555 (bmo#545755)
    Update NSS to support TLS renegotiation indication
  * MFSA 2010-23/CVE-2010-0181 (bmo#452093)
    Image src redirect to mailto: URL opens email editor
  * MFSA 2010-24/CVE-2010-0182 (bmo#490790)
    XMLDocument::load() doesn't check nsIContentPolicy
* Wed Feb 24 2010 wr@rosenauer.org
- added translation subpackages
* Wed Feb 17 2010 wr@rosenauer.org
- security update to 2.0.3 (bnc#576969)
  * MFSA-2010-01/CVE-2010-0159
    Crashes with evidence of memory corruption
  * MFSA-2010-02/CVE-2010-0160
    Web Worker Array Handling Heap Corruption Vulnerability
  * MFSA-2010-03/CVE-2009-1571 (bmo#526500)
    Use-after-free crash in HTML parser
  * MFSA-2010-04/CVE-2009-3988 (bmo#504862)
    XSS due to window.dialogArguments being readable cross-domain
  * MFSA-2010-05/CVE-2010-0162 (bmo#455472)
    XSS hazard using SVG document and binary Content-Type
* Mon Jan 18 2010 vuntz@opensuse.org
- Remove unneeded orbit-devel BuildRequires.
* Wed Jan  6 2010 wr@rosenauer.org
- stability update to 2.0.2 (bnc#568011)
  * DNS resolution in MakeSN of nsAuthSSPI causing issues for
    proxy servers that support NTLM auth (bmo#535193)
* Thu Dec 10 2009 wr@rosenauer.org
- security update to 2.0.1 (bnc#559807)
  * MFSA 2009-65/CVE-2009-3979/CVE-2009-3980/CVE-2009-3982
    Crashes with evidence of memory corruption (rv:1.9.1.6)
  * MFSA 2009-66/CVE-2009-3388 (bmo#504843,bmo#523816)
    Memory safety fixes in liboggplay media library
  * MFSA 2009-67/CVE-2009-3389 (bmo#515882,bmo#504613)
    Integer overflow, crash in libtheora video library
  * MFSA 2009-68/CVE-2009-3983 (bmo#487872)
    NTLM reflection vulnerability
  * MFSA 2009-69/CVE-2009-3984/CVE-2009-3985 (bmo#521461,bmo#514232)
    Location bar spoofing vulnerabilities
  * MFSA 2009-70/VE-2009-3986 (bmo#522430)
    Privilege escalation via chrome window.opener
* Mon Oct 19 2009 wr@rosenauer.org
- update to 2.0rc2 which might become the final 2.0 version
  * based on final Gecko 1.9.1.4 (build3)
* Thu Oct  8 2009 wr@rosenauer.org
- update to 2.0rc1
  * based on Gecko 1.9.1.4
  * removed upstreamed patches
  * compatible with enigmail (bnc#544326, bnc#530811)
- fixed startup notification (bnc#518603)
  (mozilla-startup-notification.patch)
* Mon Sep 14 2009 wr@rosenauer.org
- update to 2.0b2
  * removed obsolete mozilla-jemalloc_deepbind.patch and
    mozilla-app-launcher.patch
- remove obsolete code for protocol handlers (bmo#389732)
- allow alternative button order for Gtk filechooser (bnc#527418)
- added mozilla-prefer_plugin_pref.patch to introduce a new set of
  prefs to support preferring certain plugins for mime-types
- added mozilla-sysplugin-biarch.patch to use
  /usr/$LIB/mozilla/plugins as system plugin dir (bmo#496708)
* Thu Aug 20 2009 wr@rosenauer.org
- added Provides and Obsoletes for package merge (bnc#532678)
- allow alternative button order for Gtk filechooser (bnc#527418)
* Tue Jul 28 2009 wr@rosenauer.org
- fixed %%exclude usage
* Tue Jul 21 2009 wr@rosenauer.org
- update to 2.0b1
- added create-tar.sh to source package
- removed enigmail as it's provided as an own package built in
  Thunderbird now
* Thu Jul  9 2009 @rosenauer.org
- update to 2.0a3-20090707 snapshot
- define MOZ_APP_LAUNCHER for session management (bmo#453689)
  (mozilla-app-launcher.patch and mozilla.sh.in)
- move intl.locale.matchOS to distribution specific prefs
  (removed locale.patch)
- moved openSUSE specific prefs from greprefs to app prefs
- added mozilla-jemalloc_deepbind.patch to fix various possible
  crashes (bnc#503151, bmo#493541)
- added seamonkey-no-update.patch to hide the update menu item
* Wed Jun 17 2009 wr@rosenauer.org
- major update to 2.0a3-20090617
  * based on Gecko 1.9.1
  * ported to Mozilla's toolkit
* Sat Apr 11 2009 wr@rosenauer.org
- security update to 1.1.16 (bnc#488955,489411,492354)
  * MFSA 2009-12/CVE-2009-1169 (bmo#460090,485217)
    Crash and remote code execution in XSL transformation
  * MFSA 2009-13/CVE-2009-1044 (bmo#484320)
    Arbitrary code execution via XUL tree moveToEdgeShift
* Thu Mar 19 2009 wr@rosenauer.org
- update to security release 1.1.15 (bnc#478625)
  * MFSA 2009-07/CVE-2009-0771, CVE-2009-0772, CVE-2009-0773
    CVE-2009-0774:
    Crashes with evidence of memory corruption (rv:1.9.0.7)
  * MFSA 2009-09/CVE-2009-0776:
    XML data theft via RDFXMLDataSource and cross-domain redirect
  * MFSA 2009-10/CVE-2009-0040:
    Upgrade PNG library to fix memory safety hazards
- use nss-shared-helper from 11.1 on which allows migrating to and
  sharing with other applications using NSS
  (can be disabled completely exporting MOZ_SM_NO_NSSHELPER=1)
* Wed Dec 17 2008 hfiguiere@suse.de
- Review and approve changes.
* Mon Dec 15 2008 wr@rosenauer.org
- update to security release 1.1.14 (bnc#455804)
  for details:
  http://www.mozilla.org/security/known-vulnerabilities/seamonkey11.html
* Mon Nov 17 2008 maw@suse.de
- Review and approve changes.
* Tue Nov 11 2008 wr@rosenauer.org
- update to security release 1.1.13 (bnc#439841)
  for details:
  http://www.mozilla.org/security/known-vulnerabilities/seamonkey11.html
- fixed desktop file syntax and another rpmlint complaint
* Wed Oct 15 2008 maw@suse.de
- Review and approve changes.
* Tue Sep 23 2008 wr@rosenauer.org
- update to security release 1.1.12 (bnc#429179)
  for details:
  http://www.mozilla.org/security/known-vulnerabilities/seamonkey11.html
- merged Factoy and mozilla versions (again)
* Fri Sep  5 2008 mauro@suse.de
- Update to Seamonkey 1.1.11 [bnc#407573, bnc#416147]
  for details:
  http://www.mozilla.org/security/known-vulnerabilities/seamonkey11.html
- update enigmail to 0.95.7
* Fri May 16 2008 schwab@suse.de
- Remove unused includes.
* Wed Apr  9 2008 maw@suse.de
- Merge changes and fixes from the build service.
* Wed Apr  2 2008 maw@suse.de
- Security update to version 1.1.9 (bnc#370353):
  + MFSA 2008-19/CVE-2008-1241:  XUL popup spoofing variant
    (cross-tab popups)
  + MFSA 2008-18/CVE-2008-1195 and CVE-2008-1240: Java socket
    connection to any local port via LiveConnect
  + MFSA 2008-17/CVE-2007-4879: Privacy issue with SSL Client
    Authentication
  + MFSA 2008-16/CVE-2008-1238: HTTP Referrer spoofing with
    malformed URLs
  + MFSA 2008-15/CVE-2008-1236 and CVE-2008-1237: Crashes with
    evidence of memory corruption (rv:1.8.1.13)
  + MFSA 2008-14/CVE-2008-1233, CVE-2008-1234, and CVE-2008-1235:
    JavaScript privilege escalation and arbitrary code execution
- Respin abuild.patch.
* Mon Mar 24 2008 maw@suse.de
- Add mozilla-missing-decl.patch, which is necessary when building
  against new versions of mozilla-nss (bmo#399589).
* Tue Feb 12 2008 maw@suse.de
- Security update to version 1.1.8 (bnc#354469) (thanks, Wolfgang)
  + MFSA 2008-10/CVE-2008-0593  URL token stealing via stylesheet
    redirect
  + MFSA 2008-09/CVE-2008-0592 Mishandling of locally-saved plain
    text files
  + MFSA 2008-06/CVE-2008-0419 Web browsing history and forward
    navigation stealing
  + MFSA 2008-05/CVE-2008-0418 Directory traversal via chrome:
    URI
  + MFSA 2008-03/CVE-2008-0415 Privilege escalation, XSS, Remote
    Code Execution
  + MFSA 2008-02/CVE-2008-0414 Multiple file input focus stealing
    vulnerabilities
  + MFSA 2008-01/CVE-2008-0412 Crashes with evidence of memory
    corruption (rv:1.8.1.12)
- Update enigmail to version 0.95.6.
* Thu Jan 17 2008 maw@suse.de
- Add mozilla-maxpathlen.patch (#354150 and bmo #412610).
* Tue Nov 13 2007 maw@suse.de
- Add seamonkey-gcc4.3-fixes.patch.
* Sat Oct 20 2007 maw@suse.de
- security update to version 1.1.5 (#332512) (thanks, Wolfgang)
  * MFSA 2007-29 Crashes with evidence of memory corruption
  * MFSA 2007-30 onUnload Tailgating
  * MFSA 2007-31 Digest authentication request splitting
  * MFSA 2007-32 File input focus stealing vulnerability
  * MFSA 2007-33 XUL pages can hide the window titlebar
  * MFSA 2007-34 Possible file stealing through sftp protocol
  * MFSA 2007-35 XPCNativeWraper pollution using Script object
  complete advisories on
  http://www.mozilla.org/projects/security/known-vulnerabilities.html
* Thu Sep 13 2007 cthiel@suse.de
- recommend gpg instead of requireing fixed paths
* Wed Sep 12 2007 maw@suse.de
- Added GPG/pinentry requirements (#309160)
- Don't run %%fdupes on directories where multiple partitions
  are liable to be mounted.
* Mon Sep  3 2007 maw@suse.de
- Correct releasedate.
* Tue Aug 21 2007 maw@suse.de
- Merge recent changes from the build service (thanks, Wolfgang):
  + Update to security release 1.1.4:
  * MFSA 2007-26  Privilege escalation through chrome-loaded
    about:blank windows
  * MFSA 2007-27  Unescaped URIs passed to external programs
    (only relevant on Windows)
  + Add gnome-vfs.patch to be able to use helper apps with parameters
  + Update enigmail to version 0.95.3
  + Fixed unreadable GIF in the LEO searchplugin
- Use %%fdupes.
* Tue Aug 21 2007 aj@suse.de
- Use openSUSE instead of SUSE Linux as bookmark.
* Wed Aug 15 2007 maw@suse.de
- On x86_64, s390, and s390x, deactivate the hidden visibility
  support, thereby fixing the build.
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Wed Jun 20 2007 maw@suse.de
- Don't hardcode /tmp anywhere; use %%{_tmppath} instead.
* Tue Jun 19 2007 maw@suse.de
- Merge updates to version 1.1.2 and enigmail version 0.95.0 from
  the build service (thanks, Wolfgang)
- Don't build as root
- Add unzip as a build requirement.
* Thu Jun  7 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Wed May  2 2007 stbinner@suse.de
- install .desktop files into /usr/share/applications
* Wed Dec 20 2006 mkoenig@suse.de
- fix build
* Thu Nov 16 2006 mkoenig@suse.de
- update to CVS version 20061107 from buildservice [#221676]
* Wed Nov 15 2006 sbrabec@suse.cz
- Fixed Requires/Provides correctly (#216100#c14).
* Fri Nov  3 2006 sbrabec@suse.cz
- Do not provide and require internal libraries (#216100).
- Use safer place for build-temporary files.
* Sat Oct 21 2006 aj@suse.de
- from openSUSE Buildservice (thanks Wolfgang Rosenauer):
  * update to SeaMonkey 1.1a-20060907
  * update enigmail to 0.94.1:  Added support for signing
    attachments with inline-PGP
* Tue Sep 12 2006 stark@suse.de
- update to security/stability release 1.0.5
- removed libaoss usage because it's too fragile
* Sun Aug  6 2006 stark@suse.de
- update enigmail to 0.94.1
  * Added support for signing attachments with inline-PGP
* Sun Aug  6 2006 aj@suse.de
- Fix build (remove wrong extern "C").
* Sat Jul 29 2006 stark@suse.de
- update to 1.0.4 fixing a major regression in 1.0.3 (#195402)
* Thu Jul 27 2006 stark@suse.de
- update to security release 1.0.3 (#195043)
- fix overwrite confirmation for GTK filesaver (#179531)
- fixed printing crash if the last used printer is not available
  anymore (#187013)
* Fri Jun  2 2006 stark@suse.de
- update to security/stability release 1.0.2 (#179011)
  (http://www.mozilla.org/projects/security/known-vulnerabilities.html#SeaMonkey)
* Sun May 14 2006 stark@suse.de
- update to version 1.0.1+
- save printer settings properly (#174082, bmo #324072)
* Tue Apr 25 2006 stark@suse.de
- added patch for iframe crash (#169039, bmo #334515)
- improved postscript output (bmo #334485)
- changed defaults for printer properties (#6534)
- get available paper sizes from CUPS (#65482)
- fixed memory leak in clipboard caching (bmo #289897)
* Thu Mar 16 2006 stark@suse.de
- added seamonkey icon to filelist and use it for mail and composer
  component as well for now (#158556)
- also provide the old mozilla packagenames for correct upgrade
* Tue Mar 14 2006 stark@suse.de
- added Khmer (km-*) to pango locales (#157397)
- yet another set of upstream fixes (#148876)
* Sat Mar  4 2006 stark@suse.de
- fixed plugin inclusion if started from Thunderbird (#151614)
- fixed crash with multipart JPEGs (bmo #328684) (#140416)
- implemented mail alert notification (bmo #327613)
- get latest security related fixes from upstream (#148876)
- show multiple Reply-To addresses (bmo #106189)
* Fri Feb 24 2006 stark@suse.de
- dumpstack.patch is now in upstream patches
- added GTK category to desktop-files
- get more security/stability patches (#148876)
* Thu Feb 16 2006 stark@suse.de
- applied set of security patches (#148876)
  fixed bmo bugs:
  282105, 307989, 310638, 315411, 315625, 320459, 320851,
  323634, 325005, 325403, 325947, 327126
- added GenericNames in desktop-files
- use new SeaMonkey logo for browser component in menus
* Tue Feb  7 2006 stark@suse.de
- fixed disabling of Pango (#148788)
* Thu Feb  2 2006 stark@suse.de
- removed heimdal patch for older distributions
- define gssapi lib explicitely (#147670)
* Mon Jan 30 2006 stark@suse.de
- merged (hopefully) last patch before final seamonkey 1.0 release
* Fri Jan 27 2006 stark@suse.de
- final 1.0 bits
- tweaked BuildRequires
- default to GTK2 filechooser if MOZ_XUL_PICKER is not set
  (same behaviour as Firefox)
- fixed system NSS usage
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 stark@suse.de
- disable Pango if MOZ_ENABLE_PANGO is not set
  and no typical language which needs Pango is used (#143428)
- preload libaoss for plugin sound (#117079)
- fix to ignore X composite extension (#135373)
- fix subfolder check for default account at startup (bmo #323980)
* Wed Jan 18 2006 stark@suse.de
- fixed DumpStackToFile for glibc 2.4
* Mon Jan 16 2006 stark@suse.de
- update to current 1.0 snapshot (20060115)
- update enigmail to 0.94.0
- use -fstack-protector where available
- use system NSS since CODE10
* Wed Dec 28 2005 stark@suse.de
- update to snapshot 1.8-20051227 (1.0b)
* Mon Dec 12 2005 stark@suse.de
- update to snapshot 1.8-20051211
- use plugins in /usr/lib/browser-plugins
- update enigmail to 0.93.2
- added gtk2 patch to avoid theme switch events (#134831)
- replace mozilla packages with seamonkey for 10.1 and above
* Mon Oct 24 2005 stark@suse.de
- update to snapshot 1.8-20051024
- update enigmail to 0.93.0
- package renamed to seamonkey with new versioning
- moved to /usr/lib
* Tue Dec 28 2004 stark@suse.de
- removed obsolete translations from desktop-file
  (will be automatically added from macro)
- update to 1.7.5 (20041220)
- update enigmail to 0.89.6
- update ipc to 1.1.2
- removed s390/s390x patch (included upstream)
- add compiler option to enable backchain for s390/s390x
  inline assembling
- fixed extra lines in mail replies (bmo #144998)
- removed bounce patch (available as extension
  mailredirect.mozdev.org)
- added gconf setting patch to get more gconf settings if
  "use system settings" is used
- removed cross dependencies on release level
* Tue Nov 23 2004 ro@suse.de
- fix build on 8.2
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Wed Oct 13 2004 uli@suse.de
- fixed ABI (s390*) and defines (s390x) thinkos, now actually works
  on these platforms
* Wed Sep 29 2004 stark@suse.de
- fixed path to RealPlayer plugin
* Tue Sep 28 2004 stark@suse.de
- another change to fix initial localization
  (thanks to mfabian)
* Sat Sep 25 2004 stark@suse.de
- add ContentLocale parameter for initial localization (#44956)
- added patch for crasher in IMAP code (mozilla.org #257079)
- "no-cache" header was ignored for non-SSL sites
  (mozilla.org #252023)
- added fixed version for mozilla.org bug #257308
- fix in download handling (mozilla.org #259890)
- fix for Ximian #65176 (mozilla.org #240068)
* Fri Sep 24 2004 stark@suse.de
- enabled logging for non-debug builds to be able to get some
  logfiles for debugging
* Fri Sep 17 2004 stark@suse.de
- fixed broken patch-file
* Fri Sep 17 2004 stark@suse.de
- added security fix for mozilla bug #258005
- trigger for java-1_4_2-sun-plugin (#45257)
* Wed Sep 15 2004 ro@suse.de
- use version number directly
* Wed Sep 15 2004 sbrabec@suse.cz
- Adopted mozilla.spec, so the same spec file can build also nvu.
* Fri Sep 10 2004 stark@suse.de
- added some security related and crasher fixes:
  * Visual indicators of site security appear for the wrong site
    (mozilla.org #257308)
  * mailnews crasher (mozilla.org #258386)
  * fix arrow keys behaviour for GTK2 list boxes
    (mozilla.org #219706)
  * URL bar should not display passwords in URL
    (mozilla.org #157354)
- fix enigmail configuration (#44971)
* Thu Sep  9 2004 stark@suse.de
- added patch for AMD64 endianess in JS component
  (#34743)
* Mon Sep  6 2004 stark@suse.de
- added parts of the 1.7 branch
  (including CUPS integration)
* Fri Sep  3 2004 stark@suse.de
- update enigmail to 0.86.0
- reworked start-script to invoke mozilla start/stop scripts
* Tue Aug 24 2004 ro@suse.de
- make sure we can call mozilla-make-package.pl
  (do not rely on any permissions in RPM_SOURCE_DIR)
* Thu Aug 19 2004 sbrabec@suse.cz
- README.installed-chrome: Added a sentence about scriptlet PreReq
  (#43990).
* Thu Aug 12 2004 stark@suse.de
- added patch for ppc64 build
* Thu Aug  5 2004 stark@suse.de
- update to 1.7.2 with security fixes
- update enigmail to 0.85.0
- handle RealPlayer 9 plugin
- added calendar-fix init script to package
- fixed file-list (packages-unix) and kprinter config for Desktop
- disabled SVG for distributions older than 8.2
- modified bounce patch to not disturb language-packs
* Thu Aug  5 2004 ro@suse.de
- recode desktop file to utf-8
* Fri Jun 18 2004 stark@suse.de
- update to 1.7
- update enigmail to 0.84.1
- remove compreg.dat prior to rebuild-databases (#41481)
- no longer disable-xprint
- build with heimdal
  (Support for Kerberos HTTP authentication using GSSAPI)
* Fri Jun 18 2004 ro@suse.de
- added patch from garnome list to build with current freetype
* Thu May  6 2004 stark@suse.de
- added patch to avoid compile-warnings
* Wed May  5 2004 stark@suse.de
- update to 1.7rc1 (20040505)
- added patch to be able to bounce mail-messages
- update enigmail to 0.83.6
- added focus fix for gtkembedmoz
- changed behaviour of nullplugin
- removed x86-64 patch as it is now included upstream
- added new function in start script to start localized
  according to the environment if correct language pack is
  installed (for new profiles)
* Fri Apr  2 2004 stark@suse.de
- removing relocation of TEMP directory (#34391)
* Thu Mar 25 2004 stark@suse.de
- install more needed files (#36085)
* Tue Mar 23 2004 uli@suse.de
- fixed hang during build on s390* (bug #35440)
* Mon Mar 15 2004 stark@suse.de
- use xft.js only for gtk1 builds (not default)
- removed obsolete stuff from package
- install menu-icons and use them (#35992)
- install some more files (#36085)
- renewed bookmark-changes
* Tue Mar  9 2004 stark@suse.de
- patch for keeping ui fonts (#35236)
* Mon Mar  8 2004 ro@suse.de
- match function declaration in enigmail mimedummy.cpp
* Wed Mar  3 2004 stark@suse.de
- fixed enigmail file-list (#35302)
- update enigmail to 0.83.4
* Mon Mar  1 2004 stark@suse.de
- improved xremote behaviour in relation to other mozilla products
  (firefox, thunderbird) (#35179)
* Tue Feb 24 2004 stark@suse.de
- fixed inclusion of mozex extension
- added compiler flags for security/ (nss-opt.patch)
- update enigmail to 0.83.3
* Fri Feb 20 2004 stark@suse.de
- added build-fix for s390x (#32963)
- added mozex 1.07 to the package
* Wed Feb  4 2004 stark@suse.de
- fixed calendar filelist
- enabled freetype for xft builds to improve printing
* Wed Jan 28 2004 stark@suse.de
- update to enigmail 0.83.1
- fixed enigmail inclusion and activated it again
* Mon Jan 19 2004 stark@suse.de
- update to 1.6 (20040114)
- set PS printer list in mozilla.sh
- update to enigmail 0.83.0
  (deactivated for now until a chrome issue is fixed)
- added mozilla-bonobo to plugin-handling
- use lib64 again for biarch platforms
- use kprinter and xft on SLEC (only for specfile-sharing)
- added fixed desktop files
* Mon Nov  3 2003 stark@suse.de
- apply mips build-fix
* Wed Oct 22 2003 stark@suse.de
- require myspell-dictionary only since 9.0
* Wed Oct 15 2003 stark@suse.de
- update to 1.5 (final)
* Mon Sep 29 2003 stark@suse.de
- update to Mozilla 1.5rc2
- added patch to enable freetype2 printing in xft builds
- removed overlay-files from filelist (delete them in preun)
* Wed Sep 24 2003 stark@suse.de
- added mozplugger to add-plugins.sh
- added patch to expunge IMAP folders if "remove immediately"
  delete model is used
- update to 1.4.1
- update enigmail to 0.76.7
* Tue Sep 23 2003 sbrabec@suse.cz
- Changed plugger->mozplugger (part of bug #31616).
* Thu Sep 18 2003 coolo@suse.de
- make mozilla open URLs not files
* Tue Sep 16 2003 stark@suse.de
- adopted RealPlayer inclusion for new path (#30990)
* Sun Sep  7 2003 adrian@suse.de
- mozilla supports text/html MimeType
* Thu Sep  4 2003 adrian@suse.de
- remove wrong start path in desktop file
* Mon Sep  1 2003 adrian@suse.de
- install also desktop files for mail and composer
- make Mozilla start path FHS compliant
* Mon Aug 25 2003 hhetter@suse.de
- revert from patch mentioned at Mozilla.org Bug #58613
  to get epiphany and galeon to build
* Fri Aug 22 2003 stark@suse.de
- another upstream sync
* Fri Aug 15 2003 stark@suse.de
- again more CVS patches from mozilla.org
* Sun Aug 10 2003 stark@suse.de
- updated enigmail to 0.76.5
* Fri Aug  8 2003 stark@suse.de
- again more CVS patches from mozilla.org
- adapted x86-64 patch for 1.4
- clean up configure options
- use -fno-strict-aliasing (#28534)
* Thu Jul 31 2003 stark@suse.de
- integrated more patches from mozilla.org
- fixed deinstallation of dict-links
- removed unneeded files from filelist (for milestone builds)
- removed update-desktop-files again because it's in
  gtk2-devel-packages
* Wed Jul 30 2003 stark@suse.de
- add-plugins.sh now links myspell-dictionaries for spellchecker
  (#26290)
- added some bugfixes from mozilla.org
- added update-desktop-files to neededforbuild
* Tue Jul 29 2003 stark@suse.de
- added make-definition for build with Linux 2.6.x
* Mon Jul 28 2003 adrian@suse.de
- add Categories to desktop file
- TODO: create .desktop files for other Mozilla modules
* Wed Jul 23 2003 stark@suse.de
- check if DISPLAY set correctly (#28098)
- set $TEMP to $HOME for acroread (#27929)
- workaround the BUILD_ROOT issue in xpti.dat
- update enigmail to 0.76.3
* Tue Jul 15 2003 stark@suse.de
- fix update from Mozilla 1.0.1 to 1.4
- update enigmail to 0.76.2
- added ICP-Brasil CA (#25840)
- added some minor patches from mozilla.org
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul  2 2003 schwab@suse.de
- mozilla.sh: fix quoting, teach about emacsclient.
* Tue Jul  1 2003 stark@suse.de
- update to 1.4 final
* Wed Jun 25 2003 stark@suse.de
- fix AMD64 patch to fit mozilla version
* Thu Jun 19 2003 stark@suse.de
- update to 1.4rc3 (20030619)
- added DFN CA certificate
- update enigmail to 0.76.1
- added assembler patch, IA64 should be usable now
* Sat Jun 14 2003 stark@suse.de
- update to 1.4rc2 (20030613)
- fixed minor bug in update handling in %%preun
- added missing directories to the filelist
- deactivated check for unpackaged files
* Wed Jun 11 2003 stark@suse.de
- update to 1.4rc1 (20030610)
- switch to GTK2 build for STABLE
- update enigmail to 0.76.0
* Wed May 28 2003 stark@suse.de
- update to 1.4b (20030526)
- added spellchecker subpackage (based on myspell)
* Sat May 10 2003 stark@suse.de
- modified x86-64 patch to fit 1.4b
* Thu May  8 2003 stark@suse.de
- updated to 1.4b (20030507)
- updated enigmail and ipc sources for 1.4
- adopt James Ogley's changes for gtk2 build
  - install pkgconfig stuff
  - include icons
  - desktop file in GNOME2 place
  - Provides: mozilla-gtk2 for building Galeon/Epiphany
- added /etc/gre.conf
- modified startscript to manipulate default open behaviour
  of URLs provided on commandline ($MOZ_NEWURL)
- some spec-file modifications for slow migration to
  Firebird
* Thu Apr  3 2003 stark@suse.de
- updated enigmail to 0.74.0
- fixed minor bug in spec-file (only hit old SL versions)
* Mon Mar 31 2003 stark@suse.de
- moved mozilla-config to /opt/mozilla/bin
- some rudimentary language autodetection
- reactivated XFT for 8.2
- make GTK2 optional for 8.2 and higher (disabled xmlterm)
- fixed bug in rebuild-databases.sh
* Mon Mar 24 2003 stark@suse.de
- handle old plugins on update from versions before 1.3
- splitted calendar off from mozilla
- added XFT patches but disabled XFT for SuSE Linux 8.2 at this
  time
- added mozilla-config to devel package
* Fri Mar 14 2003 stark@suse.de
- update to 1.3
- redirect error about missing file in rebuild-databases.sh
- update enigmail to 0.73.1
- added LEO searchplugin for dict.leo.org
- changed directory-structure to be more mozilla.org compatible
- removed s390 fix because changes are already in sources
- use XFT2 instead of freetype2 on SL8.2 and higher
- made add-plugins.sh compatible with older SL versions again
- enabled SVG support (including libart_lgpl)
- enabled calendar
- removed special splash because of copyright issues
* Thu Mar 13 2003 stark@suse.de
- avoid creation of java link if Blackdown isn't installed
  but another Java is found (but not usable because of gcc)
  [Bug #25278]
* Wed Mar 12 2003 stark@suse.de
- added new BlackdownJava2-JRE to RPM triggers
* Mon Mar  3 2003 kukuk@suse.de
- Fix calling mozilla with options [Bug #24539]
* Fri Feb 28 2003 ro@suse.de
- fixed add-plugins.sh for flash-player
* Mon Feb 24 2003 ro@suse.de
- added tclplug and djvulibre
* Mon Feb 24 2003 ro@suse.de
- add-plugins: use /usr/%%_lib/browser-plugins
- flash plugin moved from netscape-plugins to flash-player
* Tue Feb 18 2003 stark@suse.de
- reworked add-plugins.sh for newer Java versions
- moved libnssckbi.so to MOZILLA_FIVE_HOME (#22548)
- %%preun bugfix
* Fri Jan 17 2003 sbrabec@suse.cz
- Added README.installed-chrome to source package.
* Wed Jan 15 2003 pmladek@suse.cz
- updated the x86_64.patch from Gwenole Beauchesne
* Thu Dec  5 2002 stark@suse.de
- update to 1.2.1
- update Enigmail to 0.71.0
- removed SuSEconfig.mozilla
  now use add-plugins.sh together with %%trigger statements
- use new chrome-management scheme
- don't add java plugin if built with gcc 3.x
- bugfix for using mozilla-xremote-client
* Wed Nov 27 2002 stark@suse.de
- update to 1.2
- moved rebuild-databases to RPM scripts (only plugins are
  left in SuSEconfig.mozilla)
- added addon-chrome functionality to rebuild-databases.sh
- readded Enigmail source for 1.2
- reworked start-script for opening html-files (#16186)
* Thu Nov 21 2002 sbrabec@suse.cz
- Added support for separate chrome (language) packs (bug #20700):
  updated rebuild-databases.sh and created and filled
  /opt/mozilla/installed-chrome.d.
* Wed Nov  6 2002 stepan@suse.de
- fix mozilla on s390 and s390x
* Thu Oct 24 2002 stepan@suse.de
- fix compilation on axp
* Fri Oct 18 2002 stark@suse.de
- fixed error-messages during startup (#19556)
* Thu Oct 17 2002 mfabian@suse.de
- Bug #20972: fix printing for Korean and Chinese by setting
  suitable default PostScript fonts
* Tue Oct  8 2002 sbrabec@suse.cz
- Added support for Plugger in SuSEconfig.mozilla. Closes #20677.
* Fri Sep 20 2002 stark@suse.de
- fixed documentation bugs #19811 and #19812
* Thu Sep 12 2002 stark@suse.de
- include compat_wrapper.dif only on gcc 3.x based distributions
* Wed Sep 11 2002 sbrabec@suse.cz
- Corrected %%ifarch ix86 to %%ifarch %%ix86, otherwise compat_wrapper.dif
  is ignored.
* Sat Sep  7 2002 olh@suse.de
- add gcc3 helper code for ppc32.
  Linux/PPC g++-3 ABI support for XPCOM
* Wed Sep  4 2002 stark@suse.de
- update to 1.0.1 (20020903)
- added compat-wrapper for Flash on ix86
- removed Flash-player (use Flash from netscape-plugins)
- added Enigmail to mozilla-mail
- added patch for using an external editor for textareas and
  composer windows
* Sat Aug 24 2002 ro@suse.de
- fixed ix86 to correct %%ix86
* Thu Aug 22 2002 stark@suse.de
- changed %%ifarch i386 to ix86 for Flash
* Wed Aug 21 2002 stark@suse.de
- fixed mozilla-copy-package.sh to fit the new parameter
  behaviour of cp
* Thu Aug 15 2002 uli@suse.de
- added x86-64 port by Gwenole Beauchesne
* Tue Aug  6 2002 stark@suse.de
- apply s390 patch only on s390
* Mon Aug  5 2002 stark@suse.de
- added  patch to compile on s390(x)
* Sun Jun  9 2002 stark@suse.de
- added japanese and german language pack
* Wed Jun  5 2002 stark@suse.de
- update to 1.0
- moved libs to /opt/mozilla/{lib,lib64}
* Wed Jun  5 2002 sf@suse.de
- apply x86_64-patch only on x86_64, as it breaks ix86
* Wed Jun  5 2002 sf@suse.de
- added patch to build on x86_64 (does not really work yet,
  but needed for other packages)
* Tue May 28 2002 stark@suse.de
- readded de-AT languagepack
- moved nss headers to include/nss
* Mon May 27 2002 stark@suse.de
- added nss3 devel files
* Fri May 24 2002 stark@suse.de
- update to 1.0rc3
* Tue May 21 2002 stark@suse.de
- added new wrapper script
- build with -Os for gcc3
- added dom-inspector subpackage
- removed redundant ia64 patch
* Tue May 14 2002 schwab@suse.de
- Configure only plugins that match mozilla arch.
- Fix some C++ issues.
* Sun May 12 2002 schwab@suse.de
- Add binary only plugins only on supported architectures.
* Sat May 11 2002 stark@suse.de
- update to 1.0rc2
* Sat May  4 2002 stark@suse.de
- update to codebase 20020503 because of security-reasons
  (XMLHTTPRequest redirect bug)
* Fri Apr 26 2002 stark@suse.de
- readded ja-JP and de-AT language packs and mozgest 0.3.3
- removed Requires: jre1.3.x
- update to codebase 20020425
- deactivated buggy mozgest for now
* Thu Apr 18 2002 stark@suse.de
- update to 1.0RC1
- update flash to 5.0r48
* Wed Apr 10 2002 stark@suse.de
- readded ja-JP language pack
* Mon Mar 18 2002 stark@suse.de
- readded de-AT language pack
* Thu Mar 14 2002 stark@suse.de
- update to milestone 0.9.9
- enabled freetype2 support
* Mon Feb 11 2002 stark@suse.de
- readded ja-JP language/region pack
* Fri Feb  8 2002 stepan@suse.de
- fixed building with gcc 3.x on ppc and alpha
- adopting assembler macros to ABI changes
* Fri Feb  8 2002 stark@suse.de
- added de-AT language/region pack
- added patch to remove debug menu from preferences
- bzip2 flash-sources
* Tue Feb  5 2002 stark@suse.de
- update to milestone 0.9.8
  (as always without language-packs)
- update mozgest to compatible 0.3.2
* Tue Feb  5 2002 stark@suse.de
- minor changes of the configure parameters
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 hhetter@suse.de
- added gdkxft-mozilla patch for TT Font Rendering
* Thu Jan 17 2002 uli@suse.de
- removed /opt/mozilla/chrome/overlayinfo from filelist for ARM
* Wed Jan  2 2002 stark@suse.de
- added de-AT language pack for 0.9.7
* Sun Dec 30 2001 stark@suse.de
- added patch to handle empty file upload forms
  (#116210 bugzilla.mozilla.org)
* Mon Dec 24 2001 stark@suse.de
- update to 0.9.7
  (deactivated JP and DE language packs as they are not
  available yet)
* Wed Dec  5 2001 stark@suse.de
- changed cp options again to fix devel-package for version > 7.0
* Sat Dec  1 2001 stark@suse.de
- added de-AT language pack for 0.9.6
- removed option -L of cp commands (for compatibility with 7.0)
* Mon Nov 26 2001 stark@suse.de
- made SuSEconfig.mozilla compatible with 7.3 again
- deactivated de-AT language pack (doesn't work for 0.9.6 :-()
* Sat Nov 24 2001 stark@suse.de
- changed SuSEconfig.mozilla to fit next SuSE-release (Java)
* Sat Nov 24 2001 stark@suse.de
- reactivated de-AT language pack for 0.9.5 (hopefully works)
* Fri Nov 23 2001 stark@suse.de
- update to 0.9.6
- update mozgest to 0.3.1
* Wed Nov 14 2001 stark@suse.de
- minor (cosmetic) change in SuSEconfig.mozilla
- readded Flash-Plugins to %%files
* Mon Nov 12 2001 stark@suse.de
- added Provides for new subpackages (split-aliases)
- reworked SuSEconfig.mozilla (for subpackages)
* Thu Nov  8 2001 stark@suse.de
- readded build-id with SuSE extension
- added file to devel-package
* Wed Nov  7 2001 stark@suse.de
- added bookmark.diff
- removed build-id from title
* Wed Nov  7 2001 stark@suse.de
- added some devel files
* Tue Nov  6 2001 stark@suse.de
- rewritten %%install section to use mozilla packaging functions
- split package into sub-packages
* Mon Nov  5 2001 stark@suse.de
- updated optimoz to RC0.3
* Wed Oct 24 2001 stark@suse.de
- finally integrated optimoz (disabled and hidden by default)
- install only jar-archives in chrome
- added /opt/mozilla/rebuild-databases.sh
* Wed Oct 24 2001 hhetter@suse.de
- include idl files in devel-package
* Tue Oct 23 2001 stark@suse.de
- made SuSEconfig integrate RealPlayer- and Acrobat-Plugin
- requires now jre1.3.x
- added release_date (Gecko)
- moved some files to mode 644
- added patch to disable debug-menu in Composer
- set mailnews-startpage to about:blank
- set very-first startup-page to about:blank
* Mon Oct 22 2001 mfabian@suse.de
- install Japanese Google-searchplugin under the name
  'google-japan.gif' and 'google-japan.src' in order not to
  overwrite the English original 'google.gif' and 'google.src'.
* Sat Oct 20 2001 mfabian@suse.de
- update Japanese language pack to mozilla0.9.5-jajppack-v1.0.xpi
* Tue Oct 16 2001 stark@suse.de
- update to 0.9.5
- added de_AT language pack
- make SuSEconfig integrate java from package java2
- added Macromedia Flashplayer/Shockwave
- added Optimoz 0.2.6 (partially, not active yet)
* Fri Sep 21 2001 egger@suse.de
- Add libcms and libmng-devel to neededforbuild as suggested
  by Werner Fink.
* Fri Sep 21 2001 egger@suse.de
- Redid my former patch to disable Debug menus and default
  to SuSE homepage.
* Fri Sep 21 2001 mfabian@suse.de
- update Japanese language pack to mozilla0.9.4-langjajp-RC1.xpi
  and mozilla0.9.4-regjp-RC1.xpi
* Thu Sep 20 2001 draht@suse.de
- merging with BETA-tree from egger@suse.de: upgrade to 0.9.4
* Sat Sep 15 2001 egger@suse.de
- diff: Removed Debug menus.
- diff: Added sensible default values and default to SuSE homepage.
* Tue Sep 11 2001 egger@suse.de
- Somehow some non-0.9.3 sources were in the previous tarball.
  Replaced them by the real ones.
* Mon Aug 13 2001 mfabian@suse.de
- added mozilla-cjk-config.patch again.
  (setup of PostScript fonts for printing Chinese, Japanese and
  Korean, default fonts for Chinese, Japanese and Korean).
* Thu Aug  9 2001 mfabian@suse.de
- add Japanese language pack mozilla0.9.3-langjajp-RC1.xpi
  and mozilla0.9.3-regjp-RC1.xpi (Korean language packs
  are only available for 0.9.2 and they don't work for 0.9.2,
  therefore they are commented out).
* Sun Aug  5 2001 egger@suse.de
- Updated to version 0.9.3.
* Thu Jul  5 2001 egger@suse.de
- Update to 0.9.2.
- Language packs are incompatible and not yet available so they'll
  follow later.
* Wed Jun 20 2001 mfabian@suse.de
- update Japanese language pack to mozilla0.9.1-langjajp.xpi
  and mozilla0.9.1-regjp.xpi
* Thu Jun 14 2001 egger@suse.de
- Update to version 0.9.1.
* Fri May 11 2001 egger@suse.de
- Fixed severe bugs in SuSEconfig.mozilla script that
  may prevent users from getting a working mozilla.
* Fri May  4 2001 mfabian@suse.de
- update Japanese language pack to mozilla0.8.1-langjajp.xpi
  and mozilla0.8.1-regjp.xpi
* Tue May  1 2001 egger@suse.de
- Update SuSEconfig.mozilla to use md5 sums
* Wed Apr  4 2001 mfabian@suse.de
- update Japanese language pack to langjajp-081-RC1.xpi
  and regjp-081-RC1.xpi
* Thu Mar 29 2001 egger@suse.de
- Updated to version 0.8.1.
* Mon Mar 19 2001 bk@suse.de
- strip mozilla shared libraries
* Sun Mar 11 2001 violiet@suse.de
- added Korean and Japanese Language pack.
* Sat Mar  3 2001 schwab@suse.de
- Try to add support for ia64.
- Fix run-mozilla link.
* Tue Feb 20 2001 egger@suse.de
- Integrated a reworked version of Bernd Kaindls
  patch to get the beast running from anywhere again.
* Tue Feb 20 2001 egger@suse.de
- Use BuildRoot.
- Reworked specfile.
- Corrected -devel package.
* Fri Feb 16 2001 egger@suse.de
- Update to version 0.8.
* Tue Jan 23 2001 kukuk@suse.de
- Fix use of SOURCE macro
* Tue Jan 23 2001 kukuk@suse.de
- Move post install section to extra SuSEconfig.mozilla [Bug #5642]
* Mon Jan 22 2001 mfabian@suse.de
- revert to 16 pt font for Japanese and Chinese. Japanese and
  Chinese characters are almost unreadable at 12pt.
* Sun Jan 21 2001 violiet@suse.de
- set korean and taiwan ps font printing patch.
- set mozilla used small 12pixels font.
- change improved font for Japanese and Korean.
- added Korean & Japanese Name and Comment in Mozilla.desktop.
* Wed Jan  3 2001 egger@suse.de
- Quietness patch.
- Enabled JAR file creation.
- Added GNOME icon.
- New wrapper script.
* Mon Dec 25 2000 bk@suse.de
- set CFLAGS and CXXFLAGS for confgure to $RPM_OPT_FLAGS. With our
  configure flags(--enable-optimize -> adds -O after CFLAGS) enabled
  this enables only the i486 arch code which brought me 5%% speed
  increase in my test(Load page on hay), package size stays the same.
* Wed Dec 20 2000 egger@suse.de
- Integrated the latest bugfixes.
- Added: Provides: web_browser to the specfile.
* Tue Dec 12 2000 egger@suse.de
- Update to the real version 0.6.
* Sat Dec  9 2000 bk@suse.de
- updated to Mozilla 0.6 (milestone release based on the same branch
  as Netscape 6), looks good!
- fixed cp -r install to cp -rL(for forcing to follow the links...)
- fixed postinstall to do an chroot before calling programs...
* Fri Dec  1 2000 kukuk@suse.de
- Fix spec file syntax
* Fri Dec  1 2000 egger@suse.de
- Made a new snapshot.
* Wed Nov 22 2000 egger@suse.de
- Reworked the specfile and of course
- Made a new snapshot.
* Tue Nov 21 2000 egger@suse.de
- Made a new snapshot.
* Fri Nov 10 2000 egger@suse.de
- Made a new snapshot.
* Mon Nov  6 2000 egger@suse.de
- Made a new snapshot.
* Mon Nov  6 2000 ro@suse.de
- fixed neededforbuild
* Sat Oct 28 2000 egger@suse.de
- Made a new snapshot.
* Wed Oct 25 2000 egger@suse.de
- Made a new snapshot.
* Fri Oct 13 2000 egger@suse.de
- Made a new snapshot.
- Changed specfile slightly.
* Fri Oct 13 2000 egger@suse.de
- Made a new snapshot.
* Sun Oct  8 2000 egger@suse.de
- Made a new snapshot.
* Fri Oct  6 2000 egger@suse.de
- Made a new snapshot.
* Wed Oct  4 2000 egger@suse.de
- Made a new snapshot.
* Wed Sep 27 2000 egger@suse.de
- Made a new snapshot.
* Thu Sep 21 2000 egger@suse.de
- Add mozilla development package to provide the necessary
  headers for embedding the gecko engine.
- Try the new registering.
* Mon Sep 18 2000 egger@suse.de
- Ok, forgot to save the right specfile... Sorry.
* Mon Sep 18 2000 egger@suse.de
- New snapshot.
- Removed SPARC patch, the mozilla people applied the patch.
- Tested package on i386.
* Tue Aug 22 2000 egger@suse.de
- Try a hint from the mozilla people to prevent that ugly mail
  hack.
- Made a new snapshot.
* Tue Jul 11 2000 egger@suse.de
- Updated to postM17: Lots of bugfixes and perfomanceimprovements.
* Tue Jul 11 2000 egger@suse.de
- Link run-mozilla.sh to /usr/X11/bin/mozilla.
- Correct the wrapper script to work from anywhere.
- Send a mail to the admin after installing mozilla
  to tell him that he has to run mozilla once as root.
* Mon Jul 10 2000 ro@suse.de
- specfile fix
* Mon Jul 10 2000 ro@suse.de
- try to call mozilla to create registry
* Fri Jul  7 2000 kukuk@suse.de
- Add SPARC fix back
* Thu Jul  6 2000 egger@suse.de
- Unified tarballs.
- Change incorrect strip command.
* Thu Jul  6 2000 ro@suse.de
- added more dirs
* Wed Jul  5 2000 egger@suse.de
- Add missing dirs...
* Tue Jul  4 2000 egger@suse.de
- Use latest bugfix snapshot.
- Try to prevent a bug in libpthreads/nspr by building
  with debugging and strip everything afterwards.
- Enable optimize because it works now.
- Install wrapper script instead of binary into exectuable
  path to work around problems...
* Fri Jun 16 2000 egger@suse.de
- Use latest snapshot.
- Recheckin since the last update got lost...
- Bumped version to M16.
* Sun Jun 11 2000 egger@suse.de
- Use latest snapshot.
- Checked out missing dir, too.
* Fri Jun  9 2000 egger@suse.de
- Use latest snapshot.
* Sat May 27 2000 egger@suse.de
- Well, maybe I should have replaced all occurences of X11... :)
* Mon May 22 2000 egger@suse.de
- /usr/X11/bin/mozilla is not allowed anymore, so use
  /usr/X11R6/bin/mozilla.
* Thu May 18 2000 egger@suse.de
- Checked in new snapshot.
* Mon May 15 2000 egger@suse.de
- Readded orbit to the requirements.
* Sat May 13 2000 egger@suse.de
- Checked in completely new .spec-file and the
  latest CVS snapshot.
* Sun Apr  9 2000 bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building mozilla
* Tue Mar 28 2000 ro@suse.de
- removed optimize
* Thu Mar 23 2000 ro@suse.de
- update to M14-no-crypto
* Fri Jan 28 2000 kukuk@suse.de
- Update to M13
- Fix for SPARC
* Tue Jan 25 2000 ro@suse.de
- update to M12
* Wed Dec 15 1999 ro@suse.de
- reworked install-section of specfile
* Wed Nov 24 1999 ro@suse.de
- update to M11
* Wed Oct 20 1999 ro@suse.de
- added comment for ld-script
* Mon Oct 18 1999 ro@suse.de
- fixed config.sub for ev6
* Wed Oct 13 1999 ro@suse.de
- update to M10
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 bs@suse.de
- user glib, gtk instead of glibn, gtkn
- call Check after install
* Thu Jun  3 1999 ro@suse.de
- update to M6
* Tue Jun  1 1999 ro@suse.de
- fixed shellscripts for startup
* Tue Jun  1 1999 ro@suse.de
- moved libraries to /usr/lib/mozilla/lib
  and start using "LD_LIBRARY_PATH"
* Tue Jun  1 1999 ro@suse.de
- created packages (mozilla and mozillad)
